---
updatedAt: 2026-07-31T15:23:44.000Z
---

# Search the assignments.

The API returns the assignment details associated with an entitlement. The assignment can be filtered based on whether the assignment is related to a particular user, a group, or both.</br>Entitlements required: tenantadmin [Tenant Administrator], manageAppAccessOwner [Manage Application Entitlements], manageEntitlements [Manage Entitlements], readEntitlements [Read Entitlements].

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0.0",
    "description": "Application management",
    "title": "Application management"
  },
  "servers": [
    {
      "url": "https://{tenanturl}",
      "variables": {
        "tenanturl": {
          "default": "{tenant_url}",
          "description": "URL of your IBM Security Verify tenant"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Entitlement Management"
    }
  ],
  "paths": {
    "/v1.0/entitlements/assignments/search": {
      "post": {
        "tags": [
          "Entitlement Management"
        ],
        "summary": "Search the assignments.",
        "description": "The API returns the assignment details associated with an entitlement. The assignment can be filtered based on whether the assignment is related to a particular user, a group, or both.</br>Entitlements required: tenantadmin [Tenant Administrator], manageAppAccessOwner [Manage Application Entitlements], manageEntitlements [Manage Entitlements], readEntitlements [Read Entitlements].",
        "operationId": "findAssignments_0",
        "parameters": [
          {
            "name": "user",
            "in": "query",
            "description": "The user code to be filtered. The assignment made to this particular user will be filtered.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "group",
            "in": "query",
            "description": "The group code to be filtered. The assignment made to this particular group will be filtered.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "type",
            "in": "query",
            "description": "The assignment type filter [USER, GROUP, DYNAMIC_GROUP]. By default, user, group and dynamic group assignments will be listed. Otherwise assignments will be filtered based on type.",
            "schema": {
              "type": "string",
              "enum": [
                "USER",
                "GROUP",
                "DYNAMIC_GROUP"
              ]
            }
          },
          {
            "name": "includeRights",
            "in": "query",
            "description": "Includes rights for each assignment if present.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of resources for a page. By default, a maximum of 500 resources are returned, if no limit query parameter is passed.</br>For example, if the limit parameter is set to 25, then, 25 resources are fetched for a page",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 500
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Page number used to get resources for specific page.</br>Resources are returned for first page if no page query parameter is passed or less than 1 is passed.</br>For example, if the page parameter is set to 2, then, the resources are fetched for second page.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            }
          }
        ],
        "requestBody": {
          "description": "The object filter.",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/EntitlementFilter"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "description": "The request was successful.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ListResponseAssignment"
                }
              }
            }
          },
          "400": {
            "description": "An application status error occurred. The error code and description are available in the payload.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorMessage_4"
                }
              }
            }
          },
          "500": {
            "description": "Your request can't be processed because an internal server error occurred.",
            "content": {}
          }
        },
        "x-category": "Application management",
        "x-publicAPI": "true",
        "x-codegen-request-body-name": "body"
      }
    }
  },
  "components": {
    "schemas": {
      "Assignment": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Code of the assignment. Assignment code is the unique identifier of an assignment.",
            "example": "f165f244-43dc-4a54-bb6d-fe3dyd81d8233"
          },
          "type": {
            "type": "string",
            "description": "Type of the assignment.",
            "example": "USER",
            "enum": [
              "USER",
              "GROUP"
            ]
          },
          "entitlement": {
            "type": "string",
            "description": "Code of the entitlement. Entitlement code is the unique identifier of an entitlement.",
            "example": "d865f244-43dc-4a54-bb6d-fe31ed81d821"
          },
          "entitlementName": {
            "type": "string",
            "description": "Name of the entitlement. The value is unique across the application.",
            "example": "read"
          },
          "entitlementType": {
            "type": "string",
            "description": "Specifies the type of the entitlement. Supported values are:</br>1. role - To create an application role.</br>2. permission - To create a regular entitlement. Note: the created permission will not be provisioned to target application.",
            "example": "role"
          },
          "entitlementExtRef": {
            "type": "string",
            "description": "Unique identifier of the mapped object in the connected application.",
            "example": "<unique_identifier>"
          },
          "application": {
            "type": "string",
            "description": "Application code is the unique identifier of an application. If type is specified as 'permission' or 'role', then application identifier is necessary.",
            "example": "5519128428712589829"
          },
          "rights": {
            "type": "boolean",
            "description": "Indicate if the entitlement has rights.",
            "readOnly": true,
            "example": false
          },
          "rightValues": {
            "type": "array",
            "description": "List of rights values related to the entitlement.",
            "example": "[read, write, read_write]",
            "items": {
              "type": "string"
            }
          },
          "properties": {
            "$ref": "#/components/schemas/EntitlementProperties_0"
          },
          "user": {
            "type": "string",
            "description": "Code of the user. The code is unique identifier of the user.",
            "example": "6000005EKH"
          },
          "groupType": {
            "type": "string",
            "description": "Type of the group.",
            "example": "regular",
            "enum": [
              "regular",
              "dynamic"
            ]
          },
          "group": {
            "type": "string",
            "description": "Code of the group. The code is unique identifier of the group.",
            "example": "50CFD1VTR1"
          },
          "vv": {
            "type": "boolean",
            "description": "Indicate if the entitlement is in visibility violation."
          },
          "brt": {
            "type": "boolean",
            "description": "If true the entitlement is granted for each user in the group."
          },
          "creationUser": {
            "type": "string",
            "description": "Indicate the id of who is the creator of the entitlement.",
            "readOnly": true,
            "example": "6000005EKH"
          },
          "creationDate": {
            "type": "string",
            "description": "Indicate the creation date of the entitlement.",
            "format": "date-time",
            "readOnly": true
          },
          "lastModUser": {
            "type": "string",
            "description": "Indicate the user id of that last that modified the entitlement.",
            "readOnly": true,
            "example": "6000005EKH"
          },
          "lastModTime": {
            "type": "string",
            "description": "Indicate the last modified date of the entitlement.",
            "format": "date-time",
            "readOnly": true
          },
          "justification": {
            "type": "string",
            "description": "Justification for the delegation"
          },
          "assignmentOrigin": {
            "type": "string",
            "description": "Origin of assignment. The value \"approval\" represents that the access is provided via approval",
            "readOnly": true,
            "example": "approval",
            "enum": [
              "approval"
            ]
          }
        },
        "description": "Rest representation for an assignment."
      },
      "ListResponseAssignment": {
        "type": "object",
        "properties": {
          "count": {
            "type": "integer",
            "description": "Number of filtered objects",
            "format": "int32"
          },
          "page": {
            "type": "integer",
            "description": "Page number to be returned",
            "format": "int32"
          },
          "limit": {
            "type": "integer",
            "description": "Max elements to be returned",
            "format": "int32"
          },
          "resources": {
            "type": "array",
            "description": "List of objects",
            "items": {
              "$ref": "#/components/schemas/Assignment"
            }
          }
        }
      },
      "EntitlementFilter": {
        "required": [
          "application",
          "name",
          "type"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Code of the entitlement. Entitlement code is the unique identifier of an entitlement.",
            "example": "d865f244-43dc-4a54-bb6d-fe31ed81d821"
          },
          "name": {
            "type": "string",
            "description": "Unique name of the entitlement across the application.",
            "example": "Test entitlement unique name"
          },
          "description": {
            "type": "string",
            "description": "Description of the entitlement.",
            "example": "Test entitlement description"
          },
          "type": {
            "type": "string",
            "description": "Specifies the type of the entitlement. Supported values are:</br>1. role - To create an application role.</br>2. permission - To create a regular entitlement. Note: the created permission is not provisioned to target application.</br>Allowable values",
            "enum": [
              "role",
              "permission"
            ]
          },
          "application": {
            "type": "string",
            "description": "Application code is the unique identifier of an application. If type is specified as 'permission' or 'role', then application identifier is necessary.",
            "example": "<unique identifier>"
          },
          "category": {
            "type": "string",
            "description": "Category of the entitlement.",
            "example": "Test category"
          },
          "extRef": {
            "type": "string",
            "description": "Unique identifier of the mapped object in the connected application.",
            "example": "<unique_identifier>"
          }
        }
      },
      "ErrorMessage_4": {
        "type": "object",
        "properties": {
          "messageId": {
            "type": "string",
            "description": "Unique identifier of the error message.",
            "readOnly": true,
            "example": "<message_error_id>"
          },
          "messageDescription": {
            "type": "string",
            "description": "Description of the error message.",
            "readOnly": true,
            "example": "<message_text>"
          }
        }
      },
      "EntitlementProperties_0": {
        "type": "object",
        "properties": {
          "rightsRef": {
            "type": "string",
            "description": "Rights reference to lookup the values.",
            "readOnly": true,
            "example": "permissionSet"
          },
          "rightsLabel": {
            "type": "string",
            "description": "Rights label to display on UI.",
            "readOnly": true,
            "example": "Rights"
          },
          "mandatory": {
            "type": "string",
            "description": "Indicates if the right value is mandatory for the entitlement.",
            "readOnly": true,
            "example": "false"
          },
          "multivalue": {
            "type": "string",
            "description": "Indicates if the entitlement can have multiple rights value.",
            "readOnly": true,
            "example": "true"
          },
          "type": {
            "type": "string",
            "description": "Indicates the type of the rights value.",
            "readOnly": true,
            "example": "reference"
          },
          "canonicalValues": {
            "type": "array",
            "description": "Indicates the canonical values supported by permission.",
            "example": "[admin, user]",
            "items": {
              "type": "string"
            }
          }
        }
      }
    }
  },
  "x-original-swagger-version": "2.0",
  "x-explorer-enabled": false
}
```